Mozilla Thunderbird < 24.2 Multiple Vulnerabilities

This script is Copyright (C) 2013-2014 Tenable Network Security, Inc.


Synopsis :

The remote Windows host contains a mail client that is potentially
affected by multiple vulnerabilities.

Description :

The installed version of Thunderbird is earlier than 24.2 and is,
therefore, potentially affected the following vulnerabilities:

- Memory issues exist in the browser engine that could
result in a denial of service or arbitrary code
execution. (CVE-2013-5609, CVE-2013-5610)

- Two use-after-free vulnerabilities exist in the
functions for synthetic mouse movement handling.
(CVE-2013-5613)

- An issue exists in which 'GetElementIC' typed array
stubs can be generated outside observed typesets. This
could lead to unpredictable behavior with a potential
security impact. (CVE-2013-5615)

- A use-after-free vulnerability exists when
interacting with event listeners from the mListeners
array. This could result in a denial of service or
arbitrary code execution. (CVE-2013-5616)

- A use-after-free vulnerability exists in the table
editing user interface of the editor during garbage
collection. This could result in a denial of service or
arbitrary code execution. (CVE-2013-5618)

- Issues exist with the JPEG format image processing with
Start Of Scan (SOS) and Define Huffman Table (DHT)
markers in the 'libjpeg' library. This could allow
attackers to read arbitrary memory content as well as
cross-domain image theft. (CVE-2013-6629, CVE-2013-6630)

- A memory issue exists when inserting an ordered list
into a document through a script that could result in a
denial of service or arbitrary code execution.
(CVE-2013-6671)

- Trust settings for built-in root certificates are
ignored during extended validation (EV) certificate
validation. This removes the ability of users to
explicitly untrust root certificates from specific
certificate authorities. (CVE-2013-6673)

- An intermediate certificate that is used by a man-in-
the-middle (MITM) traffic management device exists in
Mozilla's root certificate authorities. Reportedly,
this certificate has been misused.

See also :

http://www.mozilla.org/security/announce/2013/mfsa2013-104.html
http://www.mozilla.org/security/announce/2013/mfsa2013-108.html
http://www.mozilla.org/security/announce/2013/mfsa2013-109.html
http://www.mozilla.org/security/announce/2013/mfsa2013-111.html
http://www.mozilla.org/security/announce/2013/mfsa2013-113.html
http://www.mozilla.org/security/announce/2013/mfsa2013-114.html
http://www.mozilla.org/security/announce/2013/mfsa2013-115.html
http://www.mozilla.org/security/announce/2013/mfsa2013-116.html
http://www.mozilla.org/security/announce/2013/mfsa2013-117.html

Solution :

Upgrade to Thunderbird 24.2 or later.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 8.1
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : false